using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.StoragesContracts
{
    public interface IEmployeeStorage
    {
        List<EmployeeViewModel> GetFullList();

        List<EmployeeViewModel> GetFilteredList(EmployeeSearchModel model);

        EmployeeViewModel? GetElement(EmployeeSearchModel model);

        EmployeeViewModel? Insert(EmployeeBindingModel model);

        EmployeeViewModel? Update(EmployeeBindingModel model);

        EmployeeViewModel? Delete(EmployeeBindingModel model);
    }
}
